Bug 1468771 - Cherry Smart Card Reader USB TC 1100 could not be identified
Cherry Smart Card Reader USB TC 1100 could not be identified
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ccid (Show other bugs)
6.9
x86_64 Linux
high Severity urgent
: rc
: ---
Assigned To: Bob Relyea
Asha Akkiangady
: HardwareEnablement
Depends On:
Blocks: 1374441 1492198
  Show dependency treegraph
 
Reported: 2017-07-07 17:11 EDT by Steffen Froemer
Modified: 2017-09-20 06:07 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-09-20 06:06:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch which solves this issue (713 bytes, patch)
2017-07-07 17:12 EDT, Steffen Froemer
no flags Details | Diff

  None (edit)
Description Steffen Froemer 2017-07-07 17:11:27 EDT
Description of problem:

The Cherry Smart Card Reader USB TC 1100 is not usable as Reader for smartcards, as it is not recognised by the system.


Version-Release number of selected component (if applicable):
ccid-1.3.9-11.el6.x86_64

How reproducible:
Always

Steps to Reproduce:
1. install rhel-6.9
2. install ccid, pcsc-lite, opensc from EPEL for testing
3. start pcscd service
4. run opensc-tool -a

Actual results:
# opensc-tool -a
No smart card readers found.

Expected results:
# opensc-tool -a                                                                               
Using reader with a card: Cherry TC 1100 (OKCM0031411130415593851706133826) 00 00
3b:d2:18:02:c1:0a:31:fe:58:c8:0d:51

Additional info:

# patch < Info.plist_cherry_tc1100_rhel6.patch                                                 
can't find file to patch at input line 3
Perhaps you should have used the -p or --strip option?
The text leading up to this was:
--------------------------
|--- /usr/lib64/pcsc/drivers/ifd-ccid.bundle/Contents/Info.plist        2016-11-07 19:18:34.000000000 +0100
|+++ Info.plist 2017-06-19 16:59:33.724010282 +0200
--------------------------
File to patch: /usr/lib64/pcsc/drivers/ifd-ccid.bundle/Contents/Info.plist
patching file /usr/lib64/pcsc/drivers/ifd-ccid.bundle/Contents/Info.plist

# service pcscd restart                                                                        
Stopping PC/SC smart card daemon (pcscd):                  [  OK  ]
Starting PC/SC smart card daemon (pcscd):                  [  OK  ]

# opensc-tool -a                                                                               
Using reader with a card: Cherry TC 1100 (OKCM0031411130415593851706133826) 00 00
3b:d2:18:02:c1:0a:31:fe:58:c8:0d:51
Comment 2 Steffen Froemer 2017-07-07 17:12 EDT
Created attachment 1295406 [details]
patch which solves this issue

Note You need to log in before you can comment on or make changes to this bug.